> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.mousebuttons.md).

# MouseButtons

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies which mouse button was pressed.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum MouseButtons : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum MouseButtons As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                                  |
| ---------- | -------------------------------------------- |
| **Left**   | The left mouse button was pressed.           |
| **Middle** | The middle mouse button (wheel) was pressed. |
| **None**   | No mouse button was pressed.                 |
| **Right**  | The right mouse button was pressed.          |
| **Wheel**  | The middle mouse button (wheel) was pressed. |

## Used By

| Name                                                                                                                      | Description                                                                                |
| ------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| [Control.MouseButtons](/api/wisej.web/general/control.md#mousebuttons)                                                    | Returns a value indicating which of the mouse buttons is in a pressed state.               |
| [ColumnClickEventArgs.Button](/api/wisej.web/lists-and-grids/listview/wisej.web.columnclickeventargs.md#button)           | Returns which mouse button was pressed.                                                    |
| [ListViewItemDragEventArgs.Button](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitemdrageventargs.md#button) | Returns a value that indicates which mouse buttons were pressed during the drag operation. |
| [TreeViewNodeDragEventArgs.Button](/api/wisej.web/lists-and-grids/treeview/wisej.web.treeviewnodedrageventargs.md#button) | Returns a value that indicates which mouse buttons were pressed during the drag operation. |
| [ItemDragEventArgs.Button](/api/wisej.web/lists-and-grids/treeview/wisej.web.itemdrageventargs.md#button)                 | Returns a value that indicates which mouse buttons were pressed during the drag operation. |
| [MouseEventArgs.Button](/api/wisej.web/general/control/wisej.web.mouseeventargs.md#button)                                | Returns which mouse button was pressed.                                                    |
| [PointerInfo.Button](/api/wisej.core/general/wisejeventargs/wisej.core.wisejeventargs.pointerinfo.md#button)              | Mouse button.                                                                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.mousebuttons.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
